CVE-2006-1319
CVSS6.2
发布时间 :2006-03-20 06:02:00
修订时间 :2008-09-05 17:01:35
NMCO    

[原文]chpst in runit 1.3.3-1 for Debian GNU/Linux, when compiled on little endian i386 machines against dietlibc, does not properly handle when multiple groups are specified in the -u option, which causes chpst to assign permissions for the root group due to inconsistent bit sizes for the gid_t type.


[CNNVD]RunIt CHPST特权升级漏洞(CNNVD-200603-335)

        Debian GNU/Linux的runit 1.3.3-1中的chpst,当在小端i386机对dietlibc编译时,-u选项中给出多个组后未作妥善处理,从而因gid_t类的位尺寸不一致引起 chpst分配许可给根目录组。

- CVSS (基础分值)

CVSS分值: 6.2 [中等(MEDIUM)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: HIGH [漏洞利用存在特定的访问条件]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2006-1319
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2006-1319
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200603-335
(官方数据源) CNNVD

- 其它链接及资源

http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356016
(VENDOR_ADVISORY)  CONFIRM  http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=356016
http://xforce.iss.net/xforce/xfdb/25419
(UNKNOWN)  XF  runit-chpst-gain-privileges(25419)
http://www.securityfocus.com/bid/17179
(UNKNOWN)  BID  17179
http://secunia.com/advisories/19323
(UNKNOWN)  SECUNIA  19323

- 漏洞信息

RunIt CHPST特权升级漏洞
中危 设计错误
2006-03-20 00:00:00 2006-03-20 00:00:00
远程※本地  
        Debian GNU/Linux的runit 1.3.3-1中的chpst,当在小端i386机对dietlibc编译时,-u选项中给出多个组后未作妥善处理,从而因gid_t类的位尺寸不一致引起 chpst分配许可给根目录组。

- 公告与补丁

        目前厂商已经发布了升级补丁以修复这个安全问题,补丁下载链接:
        Gerrit Pape runit 1.3.x
        Gerrit Pape runit-1.4.1.tar.gz
        http://smarden.org/runit/runit-1.4.1.tar.gz
        Gerrit Pape runit 0.x
        Gerrit Pape runit-1.4.1.tar.gz
        http://smarden.org/runit/runit-1.4.1.tar.gz
        Gerrit Pape runit 1.0.x
        Gerrit Pape runit-1.4.1.tar.gz
        http://smarden.org/runit/runit-1.4.1.tar.gz
        Gerrit Pape runit 1.2.x
        Gerrit Pape runit-1.4.1.tar.gz
        http://smarden.org/runit/runit-1.4.1.tar.gz
        Gerrit Pape runit 1.4
        Gerrit Pape runit-1.4.1.tar.gz
        http://smarden.org/runit/runit-1.4.1.tar.gz
        

- 漏洞信息

24043
RunIt chpst -u Multiple Group Privilege Escalation
Vendor Verified

- 漏洞描述

Unknown or Incomplete

- 时间线

2006-03-09 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 1.4.1 or higher, as it has been reported to fix this vulnerability. An upgrade is required as there are no known workarounds.

- 相关参考

- 漏洞作者

Unknown or Incomplete
 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站